<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>   
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            adaptable="false"
            id="fr.inria.aoste.syndex.modeler.objectContribution2"
            nameFilter="*.syndex"
            objectClass="org.eclipse.core.resources.IFile">
        <menu
              id="fr.inria.aoste.syndex.m2t.menu"
              label="SynDEx"
              path="additions">
           <separator
                 name="syndexGroup1">
           </separator>
        </menu>
        <action
              class="fr.inria.aoste.syndex.m2t.popup.actions.SdxActionPopup"
              enablesFor="1"
              icon="icons/SDX.gif"
              id="fr.inria.aoste.syndex.modeler.action1"
              label="Generate SDX textual file"
              menubarPath="fr.inria.aoste.syndex.m2t.menu/syndexGroup1"
              style="push">
         </action>
      </objectContribution>
   </extension>
</plugin>
